#!/bin/bash

#################################################################
# createpackage.sh
#
# Author: Meena Sawant.
#
# Modified: Amrapali Nimgire.
# Desc: Changes for bug 31346, Support remote installation of "Client Packager with AV Installer"
#
#################################################################

# Get path of this script
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )

# remove build dir if exists
sudo rm -rf "$DIR""/build/"*

# Create directory PKG build
sudo mkdir "$DIR""/build"
sudo chmod 0777 "$DIR""/build"

# Create directory structure for PKG payload
mkdir -p "$DIR""/root/tmp" && chmod -R 0777 "$DIR""/root/tmp"
if [ "$?" -ne "0" ]; then
    echo "Failed to create paylod directory.";
    exit 1
fi;

#check if required tar file is present
local_tar_path="$DIR/../../../MCCLAGNT.TAR"
local_tarWithAV_path="$DIR/../../../MCCLAGAV.TAR"

if [ ! -e "$local_tarWithAV_path" ]; then
    if [ ! -e "$local_tar_path" ]; then
        echo "$local_tar_path or $local_tarWithAV_path not found."
        echo "Please run Client Packager and try again."
        echo "Exit."
        exit 1;
    fi;
fi;

#Give preference to CL+AV tar file over tar file containing only CL.
if [ -e "$local_tarWithAV_path" ]; then
    copy_tar_path="$local_tarWithAV_path";
else
    copy_tar_path="$local_tar_path";
fi;

#copy TAR to payload directory
cp -f "$copy_tar_path" "$DIR""/root/tmp/MCCLAGNT.TAR"

# create packages
packagesbuild "$DIR""/ClientAgentInstaller.pkgproj"
if [ "$?" -ne "0" ]; then
	echo "Package creation failed." ;
	exit 1
fi;

#move pkg from build dir to script directory
mv -f "$DIR""/build/ClientAgentInstaller.pkg" "$DIR/"
