#!/bin/sh

# copy.sh
#
# Copy Client Agent to remote client
#

# Check number of arguments

if [ $# != "2" ]; then
    echo "Invalid no of arguments.."
	exit 1
fi

# Get path of this script

DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )

userName=$1
ipAddress=$2

local_tar_path="$DIR/../../MCCLAGNT.TAR"
local_tarWithAV_path="$DIR/../../MCCLAGAV.TAR"

if [ ! -e "$local_tarWithAV_path" ]; then
	if [ ! -e "$local_tar_path" ]; then
		echo "$local_tar_path or $local_tarWithAV_path not found."
		echo "Please run Client Packager and try again."
		echo "Exit."
		exit 1;
    fi;
fi;

script_Path="$DIR/install.sh"
destination_Path="/tmp/"

echo "Connecting to: $userName"
echo "Copying Package to remote machine..."

if [ -e "$local_tarWithAV_path" ]; then
    copy_tar_path="$local_tarWithAV_path";
else
    copy_tar_path="$local_tar_path";
fi;

# Copy tar file to remote location.
scp -r "$copy_tar_path" "$script_Path" "$userName"@"$ipAddress":"$destination_Path"
if [ "$?" -ne "0" ]; then
	echo "Copying Package to remote machine failed."
	exit 1;
fi;

echo "Files copied to remote machine successfully."

ssh $userName@$ipAddress