#!/bin/sh

# install.sh
#
# Extract TAR, mount DMG & run installer application
#

while true;
do
    echo "If earlier version of Seqrite Endpoint Security client is found on the system, then it will be uninstalled automatically."
    read -p "Do you want to continue??[Yes/No]:" yes_no
    case $yes_no in
    [Yy][Ee][Ss]) echo "Continue with installation.";
    break;;
    [Nn][Oo]) echo "Option No has been selected. Installation aborted.";
    exit;;
    * ) echo "Please answer yes or no.";;
    esac
done


tar_FilePath="/tmp/MCCLAGNT"
tarWithAV_FilePath="/tmp/MCCLAGAV"

if [ ! -e $tar_FilePath.tar ]; then
    if [ ! -e $tarWithAV_FilePath.tar ]; then
        echo "$tar_FilePath or $tarWithAV_FilePath not found."
        echo "Exit."
        exit 1;
    fi;
fi;

if [ -e $tarWithAV_FilePath.tar ]; then
    extract_tar_path="$tarWithAV_FilePath";
else
    extract_tar_path="$tar_FilePath";
fi;

echo "Removing $tar_FilePath and $tarWithAV_FilePath if exists"
rm -rf $tar_FilePath
rm -rf $tarWithAV_FilePath

# create directory with same name as TAR.
mkdir -m 777 $extract_tar_path


echo "Extracting Package at $extract_tar_path"
cat $extract_tar_path.tar | tar xzf - -C $extract_tar_path
if [ "$?" -ne "0" ]; then
	echo "Package extraction failed.";
	exit 1
fi;

# Mount CA DMG
hdiutil attach -nobrowse "$extract_tar_path"/MCLAGNT.DMG
if [ "$?" -ne "0" ]; then
	echo "hdiutil attach failed." ;
	exit 1
fi;

echo "Executing Client Agent installer"
sudo /Volumes/Endpoint\ Security/.Resources/Client\ Agent\ Installer.app/Contents/MacOS/Client\ Agent\ Installer /silent

# Unmount CA DMG
hdiutil detach /Volumes/Endpoint\ Security

rm -rf $extract_tar_path.tar
exit 0
